net.dontdrinkandroot.cache.impl.disk.indexed.storage

## Class DataBlock

- java.lang.Object
- - net.dontdrinkandroot.cache.impl.disk.indexed.storage.DataBlock

All Implemented Interfaces:
  Comparable<DataBlock>

    public class DataBlock
    extends Object
    implements Comparable<DataBlock>

Author:
  Philip W. Sorst <philip@sorst.net>

### Field Summary

Fields
`static long` `LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`DataBlock(long startPosition, long endPosition)`

### Method Summary

Methods
`int` `compareTo(DataBlock other)`
`boolean` `equals(Object obj)`
`long` `getEndPosition()`
`long` `getLength()`
`long` `getStartPosition()`
`int` `hashCode()`
`boolean` `overlaps(DataBlock other)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LENGTH

    public static final long LENGTH

See Also:
  Constant Field Values

### Constructor Detail

#### DataBlock

    public DataBlock(long startPosition,
             long endPosition)

### Method Detail

#### compareTo

    public int compareTo(DataBlock other)

Specified by:
  `compareTo` in interface `Comparable<DataBlock>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### overlaps

    public boolean overlaps(DataBlock other)

#### getLength

    public long getLength()

#### getStartPosition

    public long getStartPosition()

#### getEndPosition

    public long getEndPosition()